/*!
\fn static TypeId ns3::ConstantRateWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ConstantRateWifiManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::ConstantRateWifiManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>DataMode</b>: The transmission mode to use for every data packet transmission
  <ul>
    <li>Set with class: \ref WifiModeValue</li>
    <li>Underlying type: \ref WifiMode</li>
    <li>Initial value: wifia-6mbs</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ControlMode</b>: The transmission mode to use for every control packet transmission.
  <ul>
    <li>Set with class: \ref WifiModeValue</li>
    <li>Underlying type: \ref WifiMode</li>
    <li>Initial value: wifia-6mbs</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiRemoteStationManager:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiRemoteStationManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiRemoteStationManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Object::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Object

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ObjectBase::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ObjectBase

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::OnoeWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::OnoeWifiManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::OnoeWifiManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>UpdatePeriod</b>: The interval between decisions about rate control changes
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RaiseThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AddCreditThreshold</b>: Add credit threshold
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiRemoteStationManager:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::AmrrWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::AmrrWifiManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::AmrrWifiManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>UpdatePeriod</b>: The interval between decisions about rate control changes
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FailureRatio</b>: Ratio of minimum erronous transmissions needed to switch to a lower rate
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double 0:1</li>
    <li>Initial value: 0.333333</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SuccessRatio</b>: Ratio of maximum erronous transmissions needed to switch to a higher rate
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double 0:1</li>
    <li>Initial value: 0.1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSuccessThreshold</b>: Maximum number of consecutive success periods needed to switch to a higher rate
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MinSuccessThreshold</b>: Minimum number of consecutive success periods needed to switch to a higher rate
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiRemoteStationManager:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::IdealWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::IdealWifiManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::IdealWifiManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>BerThreshold</b>: The maximum Bit Error Rate acceptable at any transmission mode
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1e-05</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiRemoteStationManager:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::AarfWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::AarfWifiManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::AarfWifiManager</li>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::ArfWifiManager/$%ns3::AarfWifiManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>SuccessK</b>: Multiplication factor for the success threshold in the AARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 2</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TimerK</b>: Multiplication factor for the timer threshold in the AARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 2</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSuccessThreshold</b>: Maximum value of the success threshold in the AARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 60</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MinTimerThreshold</b>: The minimum value for the 'timer' threshold in the AARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 15</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MinSuccessThreshold</b>: The minimum value for the success threshold in the AARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::ArfWifiManager:<br>
<ul>
<li><b>TimerThreshold</b>: The 'timer' threshold in the ARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 15</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SuccessThreshold</b>: The minimum number of sucessfull transmissions to try a new rate.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiRemoteStationManager:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ArfWifiManager::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArfWifiManager

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/RemoteStationManager/$%ns3::ArfWifiManager</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>TimerThreshold</b>: The 'timer' threshold in the ARF algorithm.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 15</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SuccessThreshold</b>: The minimum number of sucessfull transmissions to try a new rate.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiRemoteStationManager:<br>
<ul>
<li><b>IsLowLatency</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSsrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxSlrc</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RtsCtsThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>FragmentationThreshold</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1500</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiNetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiNetDevice

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Channel</b>: The channel attached to this device
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::WifiChannel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Phy</b>: The PHY layer attached to this device.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::WifiPhy ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Mac</b>: The MAC layer attached to this device.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::WifiMac ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RemoteStationManager</b>: The station manager attached to this device.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::WifiRemoteStationManager ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Rx</b>: Received payload from the MAC layer.
</li>
<li><b>Tx</b>: Send payload to the MAC layer.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::NetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NetDevice

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::NqstaWifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NqstaWifiMac

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Mac/$%ns3::NqstaWifiMac</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>ProbeRequestTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 500000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AssocRequestTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 500000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxMissedBeacons</b>: Number of beacons which much be consecutively missed before we attempt to restart association.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ActiveProbing</b>: XXX
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: false</li>
    <li>Flags: construct write </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiMac:<br>
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 16000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 60000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 9000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 25000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 3333ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint16_t 1:2304</li>
    <li>Initial value: 2304</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Set with class: \ref SsidValue</li>
    <li>Underlying type: \ref Ssid</li>
    <li>Initial value: default</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiMac

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Mac</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 16000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 60000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 9000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 25000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 3333ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint16_t 1:2304</li>
    <li>Initial value: 2304</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Set with class: \ref SsidValue</li>
    <li>Underlying type: \ref Ssid</li>
    <li>Initial value: default</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::NqapWifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NqapWifiMac

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Mac/$%ns3::NqapWifiMac</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>BeaconInterval</b>: Delay between two beacons
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>BeaconGeneration</b>: Whether or not beacons are generated.
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: false</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::WifiMac:<br>
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 16000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 60000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 9000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 25000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 3333ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint16_t 1:2304</li>
    <li>Initial value: 2304</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Set with class: \ref SsidValue</li>
    <li>Underlying type: \ref Ssid</li>
    <li>Initial value: default</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::AdhocWifiMac::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::AdhocWifiMac

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Mac/$%ns3::AdhocWifiMac</li>
</ul>
No Attributes defined for this type.<br>
Attributes defined in parent class ns3::WifiMac:<br>
<ul>
<li><b>CtsTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AckTimeout</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 75666ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Sifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 16000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>EifsNoDifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 60000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Slot</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 9000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Pifs</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 25000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxPropagationDelay</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 3333ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxMsduSize</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint16_t 1:2304</li>
    <li>Initial value: 2304</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Ssid</b>: XXX
  <ul>
    <li>Set with class: \ref SsidValue</li>
    <li>Underlying type: \ref Ssid</li>
    <li>Initial value: default</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::MgtProbeRequestHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtProbeRequestHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Header::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Header

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Chunk::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Chunk

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::MgtProbeResponseHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtProbeResponseHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::MgtAssocRequestHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtAssocRequestHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::MgtAssocResponseHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MgtAssocResponseHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiMacTrailer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiMacTrailer

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Trailer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Trailer

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiMacHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiMacHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiPhy::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiPhy

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Phy</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>EnergyDetectionThreshold</b>: The energy of a received signal should be higher than this threshold (dbm) to allow the PHY layer to detect the signal.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: -140</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TxGain</b>: Transmission gain (dB).
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RxGain</b>: Reception gain (dB).
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TxPowerLevels</b>: Number of transmission power levels available between TxPowerBase and TxPowerEnd included.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TxPowerEnd</b>: Maximum available transmission level (dbm).
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 16.0206</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TxPowerStart</b>: Minimum available transmission level (dbm).
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 16.0206</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RxNoise</b>: Ratio of energy lost by receiver (dB).
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Standard</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::EnumValue</li>
    <li>Underlying type: \ref 802.11a|holland</li>
    <li>Initial value: 802.11a</li>
    <li>Flags: construct write </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>State</b>: The WifiPhy state
</li>
<li><b>RxOk</b>: A packet has been received successfully.
</li>
<li><b>RxError</b>: A packet has been received unsuccessfully.
</li>
<li><b>Tx</b>: Packet transmission is starting.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::JakesPropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::JakesPropagationLossModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationLossModel/$%ns3::JakesPropagationLossModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>NumberOfRaysPerPath</b>: The number of rays to use by default for compute the fading coeficent for a given path (default is 1)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint8_t 0:255</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>NumberOfOscillatorsPerRay</b>: The number of oscillators to use by default for compute the coeficent for a given ray of a given path (default is 4)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint8_t 0:255</li>
    <li>Initial value: 4</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DopplerFreq</b>: The doppler frequency in Hz (f_d = v / lambda = v * f / c, the defualt is 0)
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Distribution</b>: The distribution to choose the initial phases.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Constant:1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::PropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PropagationLossModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationLossModel</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::CompositePropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::CompositePropagationLossModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationLossModel/$%ns3::CompositePropagationLossModel</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RandomPropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomPropagationLossModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationLossModel/$%ns3::RandomPropagationLossModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Variable</b>: XXX
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Constant:1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::FriisPropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::FriisPropagationLossModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationLossModel/$%ns3::FriisPropagationLossModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Lambda</b>: The wavelength  (default is 5.15 GHz at 300 000 km/s).
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0.0582524</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SystemLoss</b>: The system loss
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MinDistance</b>: The distance under which the propagation model refuses to give results (m)
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0.5</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::LogDistancePropagationLossModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::LogDistancePropagationLossModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationLossModel/$%ns3::LogDistancePropagationLossModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Exponent</b>: The exponent of the Path Loss propagation model
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 3</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ReferenceDistance</b>: The distance at which the reference loss is calculated (m)
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ReferenceModel</b>: The reference model at the reference distance.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::PropagationLossModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::PropagationDelayModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PropagationDelayModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationDelayModel</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RandomPropagationDelayModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomPropagationDelayModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationDelayModel/$%ns3::RandomPropagationDelayModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Variable</b>: The random variable which generates random delays (s).
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ConstantSpeedPropagationDelayModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ConstantSpeedPropagationDelayModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel/PropagationDelayModel/$%ns3::ConstantSpeedPropagationDelayModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Speed</b>: The speed (m/s)
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 3e+08</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RandomDirection2dMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomDirection2dMobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomDirection2dMobilityModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Bounds</b>: The 2d bounding area
  <ul>
    <li>Set with class: \ref RectangleValue</li>
    <li>Underlying type: \ref Rectangle</li>
    <li>Initial value: -100|100|-100|100</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Speed</b>: A random variable to control the speed (m/s).
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:1:2</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Pause</b>: A random variable to control the pause (s).
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Constant:2</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::MobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::MobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::RandomWalk2dMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomWalk2dMobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWalk2dMobilityModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Bounds</b>: Bounds of the area to cruise.
  <ul>
    <li>Set with class: \ref RectangleValue</li>
    <li>Underlying type: \ref Rectangle</li>
    <li>Initial value: 0|0|100|100</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Time</b>: Change current direction and speed after moving for this delay.
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Distance</b>: Change current direction and speed after moving for this distance.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Mode</b>: The mode indicates the condition used to change the current speed and direction
  <ul>
    <li>Set with class: \ref ns3::EnumValue</li>
    <li>Underlying type: \ref Distance|Time</li>
    <li>Initial value: Distance</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Direction</b>: A random variable used to pick the direction (gradients).
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:6.28318</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Speed</b>: A random variable used to pick the speed (m/s).
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:2:4</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::RandomWaypointMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomWaypointMobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWaypointMobilityModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Speed</b>: A random variable used to pick the speed of a random waypoint model.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0.3:0.7</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Pause</b>: A random variable used to pick the pause of a random waypoint model.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Constant:2</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Position</b>: The position model used to pick a destination point.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::PositionAllocator ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::StaticSpeedMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::StaticSpeedMobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::StaticSpeedMobilityModel</li>
</ul>
No Attributes defined for this type.<br>
Attributes defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::StaticMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::StaticMobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::StaticMobilityModel</li>
</ul>
No Attributes defined for this type.<br>
Attributes defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::PositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PositionAllocator

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWaypointMobilityModel/Position</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ListPositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ListPositionAllocator

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWaypointMobilityModel/Position/$%ns3::ListPositionAllocator</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::GridPositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::GridPositionAllocator

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWaypointMobilityModel/Position/$%ns3::GridPositionAllocator</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>GridWidth</b>: The number of objects layed out on a line.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 10</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MinX</b>: The x coordinate where the grid starts.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MinY</b>: The y coordinate where the grid starts.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DeltaX</b>: The x space between objects.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DeltaY</b>: The y space between objects.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>LayoutType</b>: The type of layout.
  <ul>
    <li>Set with class: \ref ns3::EnumValue</li>
    <li>Underlying type: \ref RowFirst|ColumnFirst</li>
    <li>Initial value: RowFirst</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RandomRectanglePositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomRectanglePositionAllocator

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWaypointMobilityModel/Position/$%ns3::RandomRectanglePositionAllocator</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>X</b>: A random variable which represents the x coordinate of a position in a random rectangle.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Y</b>: A random variable which represents the y coordinate of a position in a random rectangle.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RandomDiscPositionAllocator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RandomDiscPositionAllocator

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::RandomWaypointMobilityModel/Position/$%ns3::RandomDiscPositionAllocator</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Theta</b>: A random variable which represents the angle (gradients) of a position in a random disc.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:6.283</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Rho</b>: A random variable which represents the radius of a position in a random disc.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:200</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>X</b>: The x coordinate of the center of the random position disc.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Y</b>: The y coordinate of the center of the random position disc.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::HierarchicalMobilityModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::HierarchicalMobilityModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::MobilityModel/$%ns3::HierarchicalMobilityModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Child</b>: The child mobility model.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::MobilityModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Parent</b>: The parent mobility model.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::MobilityModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>Position</b>: The current position of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Initial value: 0:0:0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Velocity</b>: The current velocity of the mobility model.
  <ul>
    <li>Set with class: \ref VectorValue</li>
    <li>Underlying type: \ref Vector</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::MobilityModel:<br>
<ul>
<li><b>CourseChange</b>: The value of the position and/or velocity vector changed
</li>
</ul>
*/
/*!
\fn static TypeId ns3::GlobalRouter::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::GlobalRouter

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::olsr::AgentImpl::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::AgentImpl

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::olsr::Agent/$%ns3::olsr::AgentImpl</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>HelloInterval</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 2000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TcInterval</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 5000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MidInterval</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 5000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Willingness</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint8_t 0:255</li>
    <li>Initial value: 3</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Rx</b>: Receive OLSR packet.
</li>
<li><b>Tx</b>: Send OLSR packet.
</li>
<li><b>RoutingTableChanged</b>: The OLSR routing table has changed.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::olsr::Agent::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::Agent

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::olsr::Agent</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::olsr::PacketHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::PacketHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::olsr::MessageHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::olsr::MessageHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::UdpEchoServer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpEchoServer

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/ApplicationList/[i]/$%ns3::UdpEchoServer</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Port</b>: Port on which we listen for incoming packets.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint16_t 0:65535</li>
    <li>Initial value: 9</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Application::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Application

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/ApplicationList/[i]</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::UdpEchoClient::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpEchoClient

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/ApplicationList/[i]/$%ns3::UdpEchoClient</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>MaxPackets</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 100</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Interval</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RemoteIpv4</b>: XXX
  <ul>
    <li>Set with class: \ref Ipv4AddressValue</li>
    <li>Underlying type: \ref Ipv4Address</li>
    <li>Initial value: 102.102.102.102</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RemotePort</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint16_t 0:65535</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>PacketSize</b>: Size of packets generated
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 100</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::UdpSocketFactory::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpSocketFactory

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::UdpSocketFactory</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::SocketFactory::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::SocketFactory

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::PacketSink::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PacketSink

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/ApplicationList/[i]/$%ns3::PacketSink</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Local</b>: The Address on which to Bind the rx socket.
  <ul>
    <li>Set with class: \ref AddressValue</li>
    <li>Underlying type: \ref Address</li>
    <li>Initial value: 00-00-00</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Protocol</b>: The type id of the protocol to use for the rx socket.
  <ul>
    <li>Set with class: \ref TypeIdValue</li>
    <li>Underlying type: \ref TypeId</li>
    <li>Initial value: ns3::UdpSocketFactory</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Rx</b>: A packet has been received
</li>
</ul>
*/
/*!
\fn static TypeId ns3::OnOffApplication::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::OnOffApplication

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/ApplicationList/[i]/$%ns3::OnOffApplication</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>DataRate</b>: The data rate in on state.
  <ul>
    <li>Set with class: \ref DataRateValue</li>
    <li>Underlying type: \ref DataRate</li>
    <li>Initial value: 500000bps</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>PacketSize</b>: The size of packets sent in on state
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 1:4294967295</li>
    <li>Initial value: 512</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Remote</b>: The address of the destination
  <ul>
    <li>Set with class: \ref AddressValue</li>
    <li>Underlying type: \ref Address</li>
    <li>Initial value: 00-00-00</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>OnTime</b>: A RandomVariable used to pick the duration of the 'On' state.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Constant:1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>OffTime</b>: A RandomVariable used to pick the duration of the 'Off' state.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Constant:1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>MaxBytes</b>: The total number of bytes to send. Once these bytes are sent, no packet is sent again, even in on state. The value zero means that there is no limit.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Protocol</b>: The type of protocol to use.
  <ul>
    <li>Set with class: \ref TypeIdValue</li>
    <li>Underlying type: \ref TypeId</li>
    <li>Initial value: ns3::UdpSocketFactory</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Tx</b>: A new packet is created and is sent
</li>
</ul>
*/
/*!
\fn static TypeId ns3::CsmaChannel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::CsmaChannel

Attributes defined for this type:<br>
<ul>
<li><b>BitRate</b>: The maximum bitrate of the channel
  <ul>
    <li>Set with class: \ref DataRateValue</li>
    <li>Underlying type: \ref DataRate</li>
    <li>Initial value: 4294967295bps</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>Delay</b>: Transmission delay through the channel
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 0ns</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Channel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Channel

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::CsmaNetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::CsmaNetDevice

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::CsmaNetDevice</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Address</b>: The address of this device.
  <ul>
    <li>Set with class: \ref Mac48AddressValue</li>
    <li>Underlying type: \ref Mac48Address</li>
    <li>Initial value: ff:ff:ff:ff:ff:ff</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>EncapsulationMode</b>: The mode of link-layer encapsulation to use.
  <ul>
    <li>Set with class: \ref ns3::EnumValue</li>
    <li>Underlying type: \ref EthernetV1|IpArp|Raw|Llc</li>
    <li>Initial value: Llc</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SendEnable</b>: should tx be enabled ?
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ReceiveEnable</b>: should rx be enabled ?
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DataRate</b>: XXX
  <ul>
    <li>Set with class: \ref DataRateValue</li>
    <li>Underlying type: \ref DataRate</li>
    <li>Initial value: 4294967295bps</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RxErrorModel</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::ErrorModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TxQueue</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Queue ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Rx</b>: Receive MAC packet.
</li>
<li><b>Drop</b>: Drop MAC packet.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::PppHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PppHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::PointToPointChannel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PointToPointChannel

Attributes defined for this type:<br>
<ul>
<li><b>Delay</b>: Transmission delay through the channel
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 0ns</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::PointToPointNetDevice::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PointToPointNetDevice

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::PointToPointNetDevice</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Address</b>: The address of this device.
  <ul>
    <li>Set with class: \ref Mac48AddressValue</li>
    <li>Underlying type: \ref Mac48Address</li>
    <li>Initial value: ff:ff:ff:ff:ff:ff</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DataRate</b>: The default data rate for point to point links
  <ul>
    <li>Set with class: \ref DataRateValue</li>
    <li>Underlying type: \ref DataRate</li>
    <li>Initial value: 32768bps</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ReceiveErrorModel</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::ErrorModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>TxQueue</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Queue ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>InterframeGap</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 0ns</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Rx</b>: Receive MAC packet.
</li>
<li><b>Drop</b>: Drop MAC packet.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::RttEstimator::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RttEstimator

Attributes defined for this type:<br>
<ul>
<li><b>MaxMultiplier</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 64</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>InitialEstimation</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RttMeanDeviation::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RttMeanDeviation

Attributes defined for this type:<br>
<ul>
<li><b>Gain</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0.1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::RttEstimator:<br>
<ul>
<li><b>MaxMultiplier</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 64</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>InitialEstimation</b>: XXX
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::TcpSocketImpl::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpSocketImpl

No Attributes defined for this type.<br>
Attributes defined in parent class ns3::TcpSocket:<br>
<ul>
<li><b>SndBufSize</b>: TcpSocket maximum transmit buffer size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 4294967295</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RcvBufSize</b>: TcpSocket maximum receive buffer size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 4294967295</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SegmentSize</b>: TCP maximum segment size in bytes (may be adjusted based on MTU discovery)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 536</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AdvertisedWindowSize</b>: TCP advertised window size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 65535</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SlowStartThreshold</b>: TCP slow start threshold (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 65535</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>InitialCwnd</b>: TCP initial congestion window size (segments)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ConnTimeout</b>: TCP retransmission timeout when opening connection (seconds)
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 3000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ConnCount</b>: Number of connection attempts (SYN retransmissions) before returning failure
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 6</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DelAckTimeout</b>: Timeout value for TCP delayed acks, in seconds
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 200000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DelAckCount</b>: Number of packets to wait before sending a TCP ack
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 2</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>CongestionWindow</b>: The TCP connection's congestion window
</li>
</ul>
*/
/*!
\fn static TypeId ns3::TcpSocket::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpSocket

Attributes defined for this type:<br>
<ul>
<li><b>SndBufSize</b>: TcpSocket maximum transmit buffer size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 4294967295</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RcvBufSize</b>: TcpSocket maximum receive buffer size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 4294967295</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SegmentSize</b>: TCP maximum segment size in bytes (may be adjusted based on MTU discovery)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 536</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>AdvertisedWindowSize</b>: TCP advertised window size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 65535</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>SlowStartThreshold</b>: TCP slow start threshold (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 65535</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>InitialCwnd</b>: TCP initial congestion window size (segments)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 1</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ConnTimeout</b>: TCP retransmission timeout when opening connection (seconds)
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 3000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ConnCount</b>: Number of connection attempts (SYN retransmissions) before returning failure
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 6</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DelAckTimeout</b>: Timeout value for TCP delayed acks, in seconds
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 200000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DelAckCount</b>: Number of packets to wait before sending a TCP ack
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 2</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ArpL3Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArpL3Protocol

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::ArpL3Protocol</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>CacheList</b>: The list of ARP caches
  <ul>
    <li>Set with class: \ref ns3::ObjectVectorValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::ArpCache ></li>
    <li>Flags: read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Drop</b>: Packet dropped because not enough room in pending queue for a specific cache entry.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::ArpHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArpHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::TcpL4Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpL4Protocol

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::Ipv4L4Demux/Protocols/[i]/$%ns3::TcpL4Protocol</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>RttEstimatorFactory</b>: How RttEstimator objects are created.
  <ul>
    <li>Set with class: \ref ObjectFactoryValue</li>
    <li>Underlying type: \ref ObjectFactory</li>
    <li>Initial value: ns3::RttMeanDeviation[]</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::Ipv4L4Protocol:<br>
<ul>
<li><b>ProtocolNumber</b>: The Ipv4 protocol number.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref int32_t 18446744071562067968:2147483647</li>
    <li>Flags: read </li>
  </ul> 
<li><b>Version</b>: The version of the protocol.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref int32_t 18446744071562067968:2147483647</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Ipv4L4Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4L4Protocol

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::Ipv4L4Demux/Protocols/[i]</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>ProtocolNumber</b>: The Ipv4 protocol number.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref int32_t 18446744071562067968:2147483647</li>
    <li>Flags: read </li>
  </ul> 
<li><b>Version</b>: The version of the protocol.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref int32_t 18446744071562067968:2147483647</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::UdpL4Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpL4Protocol

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::Ipv4L4Demux/Protocols/[i]/$%ns3::UdpL4Protocol</li>
</ul>
No Attributes defined for this type.<br>
Attributes defined in parent class ns3::Ipv4L4Protocol:<br>
<ul>
<li><b>ProtocolNumber</b>: The Ipv4 protocol number.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref int32_t 18446744071562067968:2147483647</li>
    <li>Flags: read </li>
  </ul> 
<li><b>Version</b>: The version of the protocol.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref int32_t 18446744071562067968:2147483647</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Ipv4L3Protocol::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4L3Protocol

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::Ipv4L3Protocol</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>DefaultTtl</b>: The TTL value set by default on all outgoing packets generated on this node.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint8_t 0:255</li>
    <li>Initial value: 64</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>InterfaceList</b>: The set of Ipv4 interfaces associated to this Ipv4 stack.
  <ul>
    <li>Set with class: \ref ns3::ObjectVectorValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Ipv4Interface ></li>
    <li>Flags: read </li>
  </ul> 
</ul>
TraceSources defined for this type:<br>
<ul>
<li><b>Tx</b>: Send ipv4 packet to outgoing interface.
</li>
<li><b>Rx</b>: Receive ipv4 packet from incoming interface.
</li>
<li><b>Drop</b>: Drop ipv4 packet
</li>
</ul>
*/
/*!
\fn static TypeId ns3::TcpHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::UdpHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Ipv4Header::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4Header

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Ipv4L4Demux::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4L4Demux

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::Ipv4L4Demux</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>Protocols</b>: The set of protocols registered with this demux.
  <ul>
    <li>Set with class: \ref ns3::ObjectVectorValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Ipv4L4Protocol ></li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Ipv4::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::TcpSocketFactory::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::TcpSocketFactory

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::TcpSocketFactory</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::UdpSocket::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::UdpSocket

Attributes defined for this type:<br>
<ul>
<li><b>RcvBufSize</b>: UdpSocket maximum receive buffer size (bytes)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 4294967295</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>IpTtl</b>: socket-specific TTL for unicast IP packets (if non-zero)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>IpMulticastTtl</b>: socket-specific TTL for multicast IP packets (if non-zero)
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::PacketSocketFactory::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::PacketSocketFactory

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::PacketSocketFactory</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::NodeListPriv::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::NodeListPriv

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li></li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>NodeList</b>: The list of all nodes created during the simulation.
  <ul>
    <li>Set with class: \ref ns3::ObjectVectorValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Node ></li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::DropTailQueue::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::DropTailQueue

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::CsmaNetDevice/TxQueue/$%ns3::DropTailQueue</li>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::PointToPointNetDevice/TxQueue/$%ns3::DropTailQueue</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>MaxPackets</b>: The maximum number of packets accepted by this DropTailQueue.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 100</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
TraceSources defined in parent class ns3::Queue:<br>
<ul>
<li><b>Enqueue</b>: Enqueue a packet in the queue.
</li>
<li><b>Dequeue</b>: Dequeue a packet from the queue.
</li>
<li><b>Drop</b>: Drop a packet stored in the queue.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::Queue::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Queue

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::CsmaNetDevice/TxQueue</li>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::PointToPointNetDevice/TxQueue</li>
</ul>
No Attributes defined for this type.<br>
TraceSources defined for this type:<br>
<ul>
<li><b>Enqueue</b>: Enqueue a packet in the queue.
</li>
<li><b>Dequeue</b>: Dequeue a packet from the queue.
</li>
<li><b>Drop</b>: Drop a packet stored in the queue.
</li>
</ul>
*/
/*!
\fn static TypeId ns3::EthernetTrailer::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::EthernetTrailer

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::EthernetHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::EthernetHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::LlcSnapHeader::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::LlcSnapHeader

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Node::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Node

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>DeviceList</b>: The list of devices associated to this Node.
  <ul>
    <li>Set with class: \ref ns3::ObjectVectorValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::NetDevice ></li>
    <li>Flags: read </li>
  </ul> 
<li><b>ApplicationList</b>: The list of applications associated to this Node.
  <ul>
    <li>Set with class: \ref ns3::ObjectVectorValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Application ></li>
    <li>Flags: read </li>
  </ul> 
<li><b>Id</b>: The id (unique integer) of this Node.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Flags: read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ConfigStore::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ConfigStore

Attributes defined for this type:<br>
<ul>
<li><b>LoadFilename</b>: The file where the configuration should be loaded from.
  <ul>
    <li>Set with class: \ref StringValue</li>
    <li>Underlying type: \ref std::string</li>
    <li>Initial value: </li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>StoreFilename</b>: The file where the configuration should be stored to.
  <ul>
    <li>Set with class: \ref StringValue</li>
    <li>Underlying type: \ref std::string</li>
    <li>Initial value: </li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ErrorModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ErrorModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::CsmaNetDevice/RxErrorModel</li>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::PointToPointNetDevice/ReceiveErrorModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>IsEnabled</b>: Whether this ErrorModel is enabled or not.
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::RateErrorModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::RateErrorModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::CsmaNetDevice/RxErrorModel/$%ns3::RateErrorModel</li>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::PointToPointNetDevice/ReceiveErrorModel/$%ns3::RateErrorModel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>ErrorUnit</b>: The error unit
  <ul>
    <li>Set with class: \ref ns3::EnumValue</li>
    <li>Underlying type: \ref EU_BYTE|EU_PKT|EU_BIT</li>
    <li>Initial value: EU_BYTE</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>ErrorRate</b>: The error rate.
  <ul>
    <li>Set with class: \ref ns3::DoubleValue</li>
    <li>Underlying type: \ref double -1.79769e+308:1.79769e+308</li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>RanVar</b>: The decision variable attached to this error model.
  <ul>
    <li>Set with class: \ref RandomVariableValue</li>
    <li>Underlying type: \ref RandomVariable</li>
    <li>Initial value: Uniform:0:1</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
Attributes defined in parent class ns3::ErrorModel:<br>
<ul>
<li><b>IsEnabled</b>: Whether this ErrorModel is enabled or not.
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ListErrorModel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ListErrorModel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::CsmaNetDevice/RxErrorModel/$%ns3::ListErrorModel</li>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::PointToPointNetDevice/ReceiveErrorModel/$%ns3::ListErrorModel</li>
</ul>
No Attributes defined for this type.<br>
Attributes defined in parent class ns3::ErrorModel:<br>
<ul>
<li><b>IsEnabled</b>: Whether this ErrorModel is enabled or not.
  <ul>
    <li>Set with class: \ref BooleanValue</li>
    <li>Underlying type: \ref bool</li>
    <li>Initial value: true</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::SimulatorPrivate::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::SimulatorPrivate

Attributes defined for this type:<br>
<ul>
<li><b>Scheduler</b>: The Scheduler used to handle all simulation events.
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::Scheduler ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
/*!
/*!
/*!
/*!
/*!
\fn static TypeId ns3::Scheduler::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Scheduler

No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::WifiChannel::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::WifiChannel

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/DeviceList/[i]/$%ns3::WifiNetDevice/Channel</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>PropagationLossModel</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::PropagationLossModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>PropagationDelayModel</b>: XXX
  <ul>
    <li>Set with class: \ref ns3::PointerValue</li>
    <li>Underlying type: \ref ns3::Ptr< ns3::PropagationDelayModel ></li>
    <li>Initial value: 0</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::Ipv4Interface::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::Ipv4Interface

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::Ipv4L3Protocol/InterfaceList/[i]</li>
</ul>
No Attributes defined for this type.<br>
No TraceSources defined for this type.<br>
*/
/*!
\fn static TypeId ns3::ArpCache::GetTypeId (void)
\brief This method returns the TypeId associated to \ref ns3::ArpCache

This object is accessible through the following paths with Config::Set and Config::Connect:
<ul>
<li>/NodeList/[i]/$%ns3::ArpL3Protocol/CacheList/[i]</li>
</ul>
Attributes defined for this type:<br>
<ul>
<li><b>AliveTimeout</b>: When this timeout expires, the matching cache entry needs refreshing
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 120000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>DeadTimeout</b>: When this timeout expires, a new attempt to resolve the matching entry is made
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 100000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>WaitReplyTimeout</b>: When this timeout expires, the matching cache entry is marked dead
  <ul>
    <li>Set with class: \ref TimeValue</li>
    <li>Underlying type: \ref Time</li>
    <li>Initial value: 1000000000ns</li>
    <li>Flags: construct write read </li>
  </ul> 
<li><b>PendingQueueSize</b>: The size of the queue for packets pending an arp reply.
  <ul>
    <li>Set with class: \ref ns3::UintegerValue</li>
    <li>Underlying type: \ref uint32_t 0:4294967295</li>
    <li>Initial value: 3</li>
    <li>Flags: construct write read </li>
  </ul> 
</ul>
No TraceSources defined for this type.<br>
*/
/*!
\ingroup core
\defgroup TraceSourceList The list of all trace sources.
<b>ns3::WifiNetDevice</b><br>
<ul>
<li>Rx: Received payload from the MAC layer.</li>
<li>Tx: Send payload to the MAC layer.</li>
</ul>
<b>ns3::WifiPhy</b><br>
<ul>
<li>State: The WifiPhy state</li>
<li>RxOk: A packet has been received successfully.</li>
<li>RxError: A packet has been received unsuccessfully.</li>
<li>Tx: Packet transmission is starting.</li>
</ul>
<b>ns3::MobilityModel</b><br>
<ul>
<li>CourseChange: The value of the position and/or velocity vector changed</li>
</ul>
<b>ns3::olsr::AgentImpl</b><br>
<ul>
<li>Rx: Receive OLSR packet.</li>
<li>Tx: Send OLSR packet.</li>
<li>RoutingTableChanged: The OLSR routing table has changed.</li>
</ul>
<b>ns3::PacketSink</b><br>
<ul>
<li>Rx: A packet has been received</li>
</ul>
<b>ns3::OnOffApplication</b><br>
<ul>
<li>Tx: A new packet is created and is sent</li>
</ul>
<b>ns3::CsmaNetDevice</b><br>
<ul>
<li>Rx: Receive MAC packet.</li>
<li>Drop: Drop MAC packet.</li>
</ul>
<b>ns3::PointToPointNetDevice</b><br>
<ul>
<li>Rx: Receive MAC packet.</li>
<li>Drop: Drop MAC packet.</li>
</ul>
<b>ns3::TcpSocketImpl</b><br>
<ul>
<li>CongestionWindow: The TCP connection's congestion window</li>
</ul>
<b>ns3::ArpL3Protocol</b><br>
<ul>
<li>Drop: Packet dropped because not enough room in pending queue for a specific cache entry.</li>
</ul>
<b>ns3::Ipv4L3Protocol</b><br>
<ul>
<li>Tx: Send ipv4 packet to outgoing interface.</li>
<li>Rx: Receive ipv4 packet from incoming interface.</li>
<li>Drop: Drop ipv4 packet</li>
</ul>
<b>ns3::Queue</b><br>
<ul>
<li>Enqueue: Enqueue a packet in the queue.</li>
<li>Dequeue: Dequeue a packet from the queue.</li>
<li>Drop: Drop a packet stored in the queue.</li>
</ul>
*/
/*!
\ingroup core
\defgroup AttributeList The list of all attributes.
<b>ns3::ConstantRateWifiManager</b><br>
<ul>
<li>DataMode: The transmission mode to use for every data packet transmission</li>
<li>ControlMode: The transmission mode to use for every control packet transmission.</li>
</ul>
<b>ns3::WifiRemoteStationManager</b><br>
<ul>
<li>IsLowLatency: XXX</li>
<li>MaxSsrc: XXX</li>
<li>MaxSlrc: XXX</li>
<li>RtsCtsThreshold: XXX</li>
<li>FragmentationThreshold: XXX</li>
</ul>
<b>ns3::OnoeWifiManager</b><br>
<ul>
<li>UpdatePeriod: The interval between decisions about rate control changes</li>
<li>RaiseThreshold: XXX</li>
<li>AddCreditThreshold: Add credit threshold</li>
</ul>
<b>ns3::AmrrWifiManager</b><br>
<ul>
<li>UpdatePeriod: The interval between decisions about rate control changes</li>
<li>FailureRatio: Ratio of minimum erronous transmissions needed to switch to a lower rate</li>
<li>SuccessRatio: Ratio of maximum erronous transmissions needed to switch to a higher rate</li>
<li>MaxSuccessThreshold: Maximum number of consecutive success periods needed to switch to a higher rate</li>
<li>MinSuccessThreshold: Minimum number of consecutive success periods needed to switch to a higher rate</li>
</ul>
<b>ns3::IdealWifiManager</b><br>
<ul>
<li>BerThreshold: The maximum Bit Error Rate acceptable at any transmission mode</li>
</ul>
<b>ns3::AarfWifiManager</b><br>
<ul>
<li>SuccessK: Multiplication factor for the success threshold in the AARF algorithm.</li>
<li>TimerK: Multiplication factor for the timer threshold in the AARF algorithm.</li>
<li>MaxSuccessThreshold: Maximum value of the success threshold in the AARF algorithm.</li>
<li>MinTimerThreshold: The minimum value for the 'timer' threshold in the AARF algorithm.</li>
<li>MinSuccessThreshold: The minimum value for the success threshold in the AARF algorithm.</li>
</ul>
<b>ns3::ArfWifiManager</b><br>
<ul>
<li>TimerThreshold: The 'timer' threshold in the ARF algorithm.</li>
<li>SuccessThreshold: The minimum number of sucessfull transmissions to try a new rate.</li>
</ul>
<b>ns3::WifiNetDevice</b><br>
<ul>
<li>Channel: The channel attached to this device</li>
<li>Phy: The PHY layer attached to this device.</li>
<li>Mac: The MAC layer attached to this device.</li>
<li>RemoteStationManager: The station manager attached to this device.</li>
</ul>
<b>ns3::NqstaWifiMac</b><br>
<ul>
<li>ProbeRequestTimeout: XXX</li>
<li>AssocRequestTimeout: XXX</li>
<li>MaxMissedBeacons: Number of beacons which much be consecutively missed before we attempt to restart association.</li>
<li>ActiveProbing: XXX</li>
</ul>
<b>ns3::WifiMac</b><br>
<ul>
<li>CtsTimeout: XXX</li>
<li>AckTimeout: XXX</li>
<li>Sifs: XXX</li>
<li>EifsNoDifs: XXX</li>
<li>Slot: XXX</li>
<li>Pifs: XXX</li>
<li>MaxPropagationDelay: XXX</li>
<li>MaxMsduSize: XXX</li>
<li>Ssid: XXX</li>
</ul>
<b>ns3::NqapWifiMac</b><br>
<ul>
<li>BeaconInterval: Delay between two beacons</li>
<li>BeaconGeneration: Whether or not beacons are generated.</li>
</ul>
<b>ns3::WifiPhy</b><br>
<ul>
<li>EnergyDetectionThreshold: The energy of a received signal should be higher than this threshold (dbm) to allow the PHY layer to detect the signal.</li>
<li>TxGain: Transmission gain (dB).</li>
<li>RxGain: Reception gain (dB).</li>
<li>TxPowerLevels: Number of transmission power levels available between TxPowerBase and TxPowerEnd included.</li>
<li>TxPowerEnd: Maximum available transmission level (dbm).</li>
<li>TxPowerStart: Minimum available transmission level (dbm).</li>
<li>RxNoise: Ratio of energy lost by receiver (dB).</li>
<li>Standard: XXX</li>
</ul>
<b>ns3::JakesPropagationLossModel</b><br>
<ul>
<li>NumberOfRaysPerPath: The number of rays to use by default for compute the fading coeficent for a given path (default is 1)</li>
<li>NumberOfOscillatorsPerRay: The number of oscillators to use by default for compute the coeficent for a given ray of a given path (default is 4)</li>
<li>DopplerFreq: The doppler frequency in Hz (f_d = v / lambda = v * f / c, the defualt is 0)</li>
<li>Distribution: The distribution to choose the initial phases.</li>
</ul>
<b>ns3::RandomPropagationLossModel</b><br>
<ul>
<li>Variable: XXX</li>
</ul>
<b>ns3::FriisPropagationLossModel</b><br>
<ul>
<li>Lambda: The wavelength  (default is 5.15 GHz at 300 000 km/s).</li>
<li>SystemLoss: The system loss</li>
<li>MinDistance: The distance under which the propagation model refuses to give results (m)</li>
</ul>
<b>ns3::LogDistancePropagationLossModel</b><br>
<ul>
<li>Exponent: The exponent of the Path Loss propagation model</li>
<li>ReferenceDistance: The distance at which the reference loss is calculated (m)</li>
<li>ReferenceModel: The reference model at the reference distance.</li>
</ul>
<b>ns3::RandomPropagationDelayModel</b><br>
<ul>
<li>Variable: The random variable which generates random delays (s).</li>
</ul>
<b>ns3::ConstantSpeedPropagationDelayModel</b><br>
<ul>
<li>Speed: The speed (m/s)</li>
</ul>
<b>ns3::RandomDirection2dMobilityModel</b><br>
<ul>
<li>Bounds: The 2d bounding area</li>
<li>Speed: A random variable to control the speed (m/s).</li>
<li>Pause: A random variable to control the pause (s).</li>
</ul>
<b>ns3::MobilityModel</b><br>
<ul>
<li>Position: The current position of the mobility model.</li>
<li>Velocity: The current velocity of the mobility model.</li>
</ul>
<b>ns3::RandomWalk2dMobilityModel</b><br>
<ul>
<li>Bounds: Bounds of the area to cruise.</li>
<li>Time: Change current direction and speed after moving for this delay.</li>
<li>Distance: Change current direction and speed after moving for this distance.</li>
<li>Mode: The mode indicates the condition used to change the current speed and direction</li>
<li>Direction: A random variable used to pick the direction (gradients).</li>
<li>Speed: A random variable used to pick the speed (m/s).</li>
</ul>
<b>ns3::RandomWaypointMobilityModel</b><br>
<ul>
<li>Speed: A random variable used to pick the speed of a random waypoint model.</li>
<li>Pause: A random variable used to pick the pause of a random waypoint model.</li>
<li>Position: The position model used to pick a destination point.</li>
</ul>
<b>ns3::GridPositionAllocator</b><br>
<ul>
<li>GridWidth: The number of objects layed out on a line.</li>
<li>MinX: The x coordinate where the grid starts.</li>
<li>MinY: The y coordinate where the grid starts.</li>
<li>DeltaX: The x space between objects.</li>
<li>DeltaY: The y space between objects.</li>
<li>LayoutType: The type of layout.</li>
</ul>
<b>ns3::RandomRectanglePositionAllocator</b><br>
<ul>
<li>X: A random variable which represents the x coordinate of a position in a random rectangle.</li>
<li>Y: A random variable which represents the y coordinate of a position in a random rectangle.</li>
</ul>
<b>ns3::RandomDiscPositionAllocator</b><br>
<ul>
<li>Theta: A random variable which represents the angle (gradients) of a position in a random disc.</li>
<li>Rho: A random variable which represents the radius of a position in a random disc.</li>
<li>X: The x coordinate of the center of the random position disc.</li>
<li>Y: The y coordinate of the center of the random position disc.</li>
</ul>
<b>ns3::HierarchicalMobilityModel</b><br>
<ul>
<li>Child: The child mobility model.</li>
<li>Parent: The parent mobility model.</li>
</ul>
<b>ns3::olsr::AgentImpl</b><br>
<ul>
<li>HelloInterval: XXX</li>
<li>TcInterval: XXX</li>
<li>MidInterval: XXX</li>
<li>Willingness: XXX</li>
</ul>
<b>ns3::UdpEchoServer</b><br>
<ul>
<li>Port: Port on which we listen for incoming packets.</li>
</ul>
<b>ns3::UdpEchoClient</b><br>
<ul>
<li>MaxPackets: XXX</li>
<li>Interval: XXX</li>
<li>RemoteIpv4: XXX</li>
<li>RemotePort: XXX</li>
<li>PacketSize: Size of packets generated</li>
</ul>
<b>ns3::PacketSink</b><br>
<ul>
<li>Local: The Address on which to Bind the rx socket.</li>
<li>Protocol: The type id of the protocol to use for the rx socket.</li>
</ul>
<b>ns3::OnOffApplication</b><br>
<ul>
<li>DataRate: The data rate in on state.</li>
<li>PacketSize: The size of packets sent in on state</li>
<li>Remote: The address of the destination</li>
<li>OnTime: A RandomVariable used to pick the duration of the 'On' state.</li>
<li>OffTime: A RandomVariable used to pick the duration of the 'Off' state.</li>
<li>MaxBytes: The total number of bytes to send. Once these bytes are sent, no packet is sent again, even in on state. The value zero means that there is no limit.</li>
<li>Protocol: The type of protocol to use.</li>
</ul>
<b>ns3::CsmaChannel</b><br>
<ul>
<li>BitRate: The maximum bitrate of the channel</li>
<li>Delay: Transmission delay through the channel</li>
</ul>
<b>ns3::CsmaNetDevice</b><br>
<ul>
<li>Address: The address of this device.</li>
<li>EncapsulationMode: The mode of link-layer encapsulation to use.</li>
<li>SendEnable: should tx be enabled ?</li>
<li>ReceiveEnable: should rx be enabled ?</li>
<li>DataRate: XXX</li>
<li>RxErrorModel: XXX</li>
<li>TxQueue: XXX</li>
</ul>
<b>ns3::PointToPointChannel</b><br>
<ul>
<li>Delay: Transmission delay through the channel</li>
</ul>
<b>ns3::PointToPointNetDevice</b><br>
<ul>
<li>Address: The address of this device.</li>
<li>DataRate: The default data rate for point to point links</li>
<li>ReceiveErrorModel: XXX</li>
<li>TxQueue: XXX</li>
<li>InterframeGap: XXX</li>
</ul>
<b>ns3::RttEstimator</b><br>
<ul>
<li>MaxMultiplier: XXX</li>
<li>InitialEstimation: XXX</li>
</ul>
<b>ns3::RttMeanDeviation</b><br>
<ul>
<li>Gain: XXX</li>
</ul>
<b>ns3::TcpSocket</b><br>
<ul>
<li>SndBufSize: TcpSocket maximum transmit buffer size (bytes)</li>
<li>RcvBufSize: TcpSocket maximum receive buffer size (bytes)</li>
<li>SegmentSize: TCP maximum segment size in bytes (may be adjusted based on MTU discovery)</li>
<li>AdvertisedWindowSize: TCP advertised window size (bytes)</li>
<li>SlowStartThreshold: TCP slow start threshold (bytes)</li>
<li>InitialCwnd: TCP initial congestion window size (segments)</li>
<li>ConnTimeout: TCP retransmission timeout when opening connection (seconds)</li>
<li>ConnCount: Number of connection attempts (SYN retransmissions) before returning failure</li>
<li>DelAckTimeout: Timeout value for TCP delayed acks, in seconds</li>
<li>DelAckCount: Number of packets to wait before sending a TCP ack</li>
</ul>
<b>ns3::ArpL3Protocol</b><br>
<ul>
<li>CacheList: The list of ARP caches</li>
</ul>
<b>ns3::TcpL4Protocol</b><br>
<ul>
<li>RttEstimatorFactory: How RttEstimator objects are created.</li>
</ul>
<b>ns3::Ipv4L4Protocol</b><br>
<ul>
<li>ProtocolNumber: The Ipv4 protocol number.</li>
<li>Version: The version of the protocol.</li>
</ul>
<b>ns3::Ipv4L3Protocol</b><br>
<ul>
<li>DefaultTtl: The TTL value set by default on all outgoing packets generated on this node.</li>
<li>InterfaceList: The set of Ipv4 interfaces associated to this Ipv4 stack.</li>
</ul>
<b>ns3::Ipv4L4Demux</b><br>
<ul>
<li>Protocols: The set of protocols registered with this demux.</li>
</ul>
<b>ns3::UdpSocket</b><br>
<ul>
<li>RcvBufSize: UdpSocket maximum receive buffer size (bytes)</li>
<li>IpTtl: socket-specific TTL for unicast IP packets (if non-zero)</li>
<li>IpMulticastTtl: socket-specific TTL for multicast IP packets (if non-zero)</li>
</ul>
<b>ns3::NodeListPriv</b><br>
<ul>
<li>NodeList: The list of all nodes created during the simulation.</li>
</ul>
<b>ns3::DropTailQueue</b><br>
<ul>
<li>MaxPackets: The maximum number of packets accepted by this DropTailQueue.</li>
</ul>
<b>ns3::Node</b><br>
<ul>
<li>DeviceList: The list of devices associated to this Node.</li>
<li>ApplicationList: The list of applications associated to this Node.</li>
<li>Id: The id (unique integer) of this Node.</li>
</ul>
<b>ns3::ConfigStore</b><br>
<ul>
<li>LoadFilename: The file where the configuration should be loaded from.</li>
<li>StoreFilename: The file where the configuration should be stored to.</li>
</ul>
<b>ns3::ErrorModel</b><br>
<ul>
<li>IsEnabled: Whether this ErrorModel is enabled or not.</li>
</ul>
<b>ns3::RateErrorModel</b><br>
<ul>
<li>ErrorUnit: The error unit</li>
<li>ErrorRate: The error rate.</li>
<li>RanVar: The decision variable attached to this error model.</li>
</ul>
<b>ns3::SimulatorPrivate</b><br>
<ul>
<li>Scheduler: The Scheduler used to handle all simulation events.</li>
</ul>
<b>ns3::WifiChannel</b><br>
<ul>
<li>PropagationLossModel: XXX</li>
<li>PropagationDelayModel: XXX</li>
</ul>
<b>ns3::ArpCache</b><br>
<ul>
<li>AliveTimeout: When this timeout expires, the matching cache entry needs refreshing</li>
<li>DeadTimeout: When this timeout expires, a new attempt to resolve the matching entry is made</li>
<li>WaitReplyTimeout: When this timeout expires, the matching cache entry is marked dead</li>
<li>PendingQueueSize: The size of the queue for packets pending an arp reply.</li>
</ul>
*/
